OfonoConnMan Class Reference

This class is used to access oFono connman API. More...

`#include <ofonoconnman.h>`

Inheritance diagram for OfonoConnMan:

## Public Slots

void | setPowered (const bool)
void | setRoamingAllowed (const bool)
void | deactivateAll ()
QDBusObjectPath | addContext (const QString &type, bool &success)
void | removeContext (const QString &path)

## Signals

void | attachedChanged (const bool value)
void | bearerChanged (const QString &bearer)
void | suspendedChanged (const bool suspnd)
void | roamingAllowedChanged (const bool roaming)
void | poweredChanged (const bool powrd)
void | contextAdded (const QString &path)
void | contextRemoved (const QString &path)
void | deactivateAllComplete (bool success)
void | addContextComplete (bool success, const QString &path)
void | removeContextComplete (bool success)
void | setPoweredFailed ()
void | setRoamingAllowedFailed ()
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoConnMan (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
Q_INVOKABLE QStringList | getContexts ()
bool | attached () const
QString | bearer () const
bool | suspended () const
bool | roamingAllowed () const
bool | powered () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

bool | attached
QString | bearer
bool | suspended
bool | roamingAllowed
bool | powered
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono connman API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/connman-api.txt

The documentation for this class was generated from the following file:

- lib/ofonoconnman.h